Subject: Re: bug#41948: Shepherd deadlocks

From: Andrew Whatson <[email-masked]>
Date: Sat, 8 May 2021 23:49:07 +1000

Hi,

I've reviewed the finalizer patch and made some changes to ensure that
it works correctly if pipe creation or thread creation fail.

Thread creation fails in an out-of-memory scenario, so this part can be
verified by running Guile's test-out-of-memory test case.  You'll need a
libgc built with --disable-munmap for the test to survive long enough to
retry launching the finalizer thread.

Cheers!